package cn.edu.whu.boot.common.service;

/**
 * 用于操作缓存的 Service ，该类的本质还是调用 RedisService，
 * 但是将 RedisService 中的命令与应用代码低耦合可以解决其他问题，比如出现 Redis 宕机，
 * 可通过切面指定该接口，针对不同的方法进行宕机后不同操作!!!
 */
public interface CacheService{

    /**
     * 获取 Redis 中 key 对应的value
     */
    Object get(String key);


    /**
     * 向 Redis 中添加 key - value 对象
     * expireTime 单位为秒
     */
    void set(String key, Object value, long expireTime);

    /**
     * 删除 Redis 中 key 对应的value
     */
    void delete(String key);
}
